# Class RcsbFv3DComponent<T, R, L, S, U>

#### Type Parameters

- #### T

- #### R

- #### L

- #### S

- #### U

#### Hierarchy

- Component<RcsbFv3DComponentInterface<T, R, L, S, U> & {
  resolve: (() => void);
  }, RcsbFv3DComponentState<T, R, S, U>>
  - RcsbFv3DComponent

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:47

#####
Index

### Constructors

constructor

### Properties

ROOT_DIV_ID
resize
state
stateManager
subscription

### Methods

componentDidMount
componentWillUnmount
mouseMove
panelDelimiter
render
sequenceCssConfig
splitPanelMouseDown
splitPanelMouseUp
structureCssConfig
subscribe
unsubscribe
updateConfig
useDefaultCss
mainDivCssConfig

## Constructors

### constructor

- new RcsbFv3DComponent<T, R, L, S, U>(props): RcsbFv3DComponent<T, R, L, S, U>

- #### Type Parameters

  - #### T

  - #### R

  - #### L

  - #### S

  - #### U

  #### Parameters

  - ##### props: RcsbFv3DComponentInterface<T, R, L, S, U> & {
    resolve: (() => void);
    } | Readonly<RcsbFv3DComponentInterface<T, R, L, S, U> & {
    resolve: (() => void);
    }>

  #### Returns RcsbFv3DComponent<T, R, L, S, U>

  Inherited from React.Component <RcsbFv3DComponentInterface<T,R,L,S,U> & {resolve:()=>void;}, RcsbFv3DComponentState<T,R,S,U>>.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new RcsbFv3DComponent<T, R, L, S, U>(props, context): RcsbFv3DComponent<T, R, L, S, U>

- #### Type Parameters

  - #### T

  - #### R

  - #### L

  - #### S

  - #### U

  #### Parameters

  - ##### props: RcsbFv3DComponentInterface<T, R, L, S, U> & {
    resolve: (() => void);
    }

  - ##### context: any

  #### Returns RcsbFv3DComponent<T, R, L, S, U>

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component <RcsbFv3DComponentInterface<T,R,L,S,U> & {resolve:()=>void;}, RcsbFv3DComponentState<T,R,S,U>>.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Properties

### `Private` `Readonly` ROOT_DIV_ID

ROOT_DIV_ID: string = "rootPanelDiv"

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:51

### `Private` resize

resize: null | ((evt) => void) = null

#### Type declaration

- - (evt): void

  - #### Parameters

    - ##### evt: MouseEvent<HTMLDivElement, MouseEvent>

    #### Returns void

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:197

### `Readonly` state

state: RcsbFv3DComponentState<T, R, S, U> = ...

Overrides React.Component.state

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:53

### `Private` `Readonly` stateManager

stateManager: RcsbFvStateInterface = ...

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:49

### `Private` subscription

subscription: Subscription

- Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:50

## Methods

### componentDidMount

- componentDidMount(): void

- #### Returns void

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:97

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:102

### `Private` mouseMove

- mouseMove(evt): void

- #### Parameters

  - ##### evt: MouseEvent<HTMLDivElement, MouseEvent>

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:192

### `Private` panelDelimiter

- panelDelimiter(): Element

- #### Returns Element

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:110

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:59

### `Private` sequenceCssConfig

- sequenceCssConfig(css): CSSProperties

- #### Parameters

  - ##### css: undefined | CSSProperties

  #### Returns CSSProperties

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:127

### `Private` splitPanelMouseDown

- splitPanelMouseDown(): void

- #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:169

### `Private` splitPanelMouseUp

- splitPanelMouseUp(): void

- #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:181

### `Private` structureCssConfig

- structureCssConfig(css): CSSProperties

- #### Parameters

  - ##### css: undefined | CSSProperties

  #### Returns CSSProperties

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:120

### `Private` subscribe

- subscribe(): Subscription

- #### Returns Subscription

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:140

### `Private` unsubscribe

- unsubscribe(): void

- Unsubscribe className to rxjs events. Useful if many panels are created an destroyed.

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:151

### `Private` updateConfig

- updateConfig(config): void

- #### Parameters

  - ##### config: UpdateConfigInterface<T, R, S, U>

  #### Returns void

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:157

### `Private` useDefaultCss

- useDefaultCss(): boolean

- #### Returns boolean

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:106

### `Static` `Private` mainDivCssConfig

- mainDivCssConfig(css): CSSProperties

- #### Parameters

  - ##### css: undefined | CSSProperties

  #### Returns CSSProperties

  - Defined in src/RcsbFv3D/RcsbFv3DComponent.tsx:134

Generated using TypeDoc